# Gimp.smudge_default

    function smudge_default(drawable: Gimp.Drawable, strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_smudge_default()
    }

Smudge image with varying pressure.

This tool simulates a smudge using the current brush. It behaves exactly the same as Gimp.smudge except that the pressure value is taken from the smudge tool options or the options default if the tools option dialog has not been activated.

drawable

  The affected drawable.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.